com.corticon.rulesemf.operationsmodel

## Interface Method

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface Method
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Method'.

  The following features are supported:

  - `Name`
  - `Parameters`
  - `Tooltip`
  See Also:
    `OperationsmodelPackage.getMethod()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getName()` Returns the value of the 'Name' attribute list.
    `org.eclipse.emf.common.util.EList` | `getParameters()` Returns the value of the 'Parameters' attribute list.
    `org.eclipse.emf.common.util.EList` | `getTooltip()` Returns the value of the 'Tooltip' attribute list.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          org.eclipse.emf.common.util.EList getName()

      Returns the value of the 'Name' attribute list. The list contents are of type `String`.

      If the meaning of the 'Name' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute list.
      See Also:
        `OperationsmodelPackage.getMethod_Name()`

    - #### getParameters

          org.eclipse.emf.common.util.EList getParameters()

      Returns the value of the 'Parameters' attribute list. The list contents are of type `String`.

      If the meaning of the 'Parameters' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parameters' attribute list.
      See Also:
        `OperationsmodelPackage.getMethod_Parameters()`

    - #### getTooltip

          org.eclipse.emf.common.util.EList getTooltip()

      Returns the value of the 'Tooltip' attribute list. The list contents are of type `String`.

      If the meaning of the 'Tooltip' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Tooltip' attribute list.
      See Also:
        `OperationsmodelPackage.getMethod_Tooltip()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.